db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kathey Marsden (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (DERBY-6087) Can't build Javadoc with JDK 1.8 if explicit j15lib, j16lib and j17lib paths are set
Date Wed, 10 Jul 2013 17:55:52 GMT

     [ https://issues.apache.org/jira/browse/DERBY-6087?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kathey Marsden updated DERBY-6087:
----------------------------------

    Labels: derby_backport_reject_10_8  (was: )

Marking reject because I don't think there is a need to build 10.8 with jdk8 at this time.
If that changes this could be backported.
                
> Can't build Javadoc with JDK 1.8 if explicit j15lib, j16lib and j17lib paths are set
> ------------------------------------------------------------------------------------
>
>                 Key: DERBY-6087
>                 URL: https://issues.apache.org/jira/browse/DERBY-6087
>             Project: Derby
>          Issue Type: Bug
>          Components: Build tools, Javadoc
>    Affects Versions: 10.10.1.1
>            Reporter: Dag H. Wanvik
>            Assignee: Dag H. Wanvik
>            Priority: Minor
>              Labels: derby_backport_reject_10_8
>             Fix For: 10.10.1.1
>
>         Attachments: derby-6087.diff
>
>
> We set these library properties to get better compile time checking of old level source
using too new  library contents. We should be able to build the Javadoc without unsetting
them. It works with a JDK 1.7.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message